
<div class="grid my-4" *ngIf="transaction | async as detailTransaction">
    <div class="col-8">
        <div *ngFor="let product of detailTransaction.products" class="flex">
            <img [src]="product.image" width="200px" alt="">
            <div class="ml-4">
                <p>
                    {{product.name}}
                </p>
                <p>Price: {{product.price}}</p>
                <p>{{product.desc}}</p>
            </div>
        </div>
        <p>{{detailTransaction.status}}</p>
    </div>

    <div class="col-4">
        <p>Transaction ID {{detailTransaction.id}}</p>
        <p>{{detailTransaction.amount | currency:'IDR'}}</p>
        <div *ngIf="detailTransaction.status != 'paid' && detailTransaction.status != 'canceled'" class="flex gap-2">
            <button (click)="updateStatusPayment('paid')"  pButton>Pay</button>
            <button (click)="updateStatusPayment('canceled')" pButton class="p-button-danger">Cancel</button>
        </div>
    </div>
</div>
